Name:           rxvt
Version:        2.7.10
Release:	36%{?dist}

Summary:        ouR XVT, a VT102 emulator for the X window system
License:        GPLv2+
URL:            http://www.rxvt.org
Source0:        http://dl.sourceforge.net/sourceforge/rxvt/%{name}-%{version}.tar.gz
Source1:        rxvt.desktop
Source2:        rclock.desktop
Patch0:         rxvt-rpath.patch
# use utempter instead of utmp/wtmp
Patch1:         http://darkstar.ist.utl.pt/slackware/slackware_source/xap/rxvt/rxvt.utempter.diff.gz

BuildRequires:  gcc
BuildRequires:  libX11-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  libutempter-devel

%description
rxvt,  version  %{version}, is a colour vt102 terminal emulator
intended as an xterm(1) replacement for users who  do  not
require  features  such  as  Tektronix  4014 emulation and
toolkit-style configurability.  As  a  result,  rxvt  uses
much  less  swap  space  --  a  significant advantage on a
machine serving many X sessions.


%prep
%setup -q
%patch0

%build
%configure --enable-everything --enable-xgetdefault --enable-256-color \
    --x-includes=%{_includedir} --x-libraries=%{_libdir} --with-term=rxvt
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1

desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
  --vendor=fedora \
%endif
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
  --vendor=fedora \
%endif
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}



%files
%doc doc/BUGS doc/FAQ doc/README.menu doc/README.xvt doc/TODO
%doc doc/*.html
%doc doc/menu/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*


%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.10-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.10-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.10-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.10-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.10-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.10-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.10-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.10-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 2.7.10-24
- Remove vendor from desktop files for F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.7.10-19
- use gnome-xterm icon like xterm

* Sun Nov 14 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.7.10-18
- fixup desktop file (#617516)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 2.7.10-15
- Rebuilt for gcc43

* Wed Nov 07 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.7.10-14
- use utempter instead of wtmp/utmp (#214130)

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.7.10-12
- new license tag
- rebuild for buildid

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.10-11
- FE6 rebuild

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.10-10
- inspired by #177302 fix term name to rxvt for termcap 
- get rid of rpath

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.10-9
- Rebuild for Fedora Extras 5

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.10-8
- add dist tag
- modular xorg integration

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.7.10-7
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Dec 18 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:2.7.10-0.fdr.5
- fixed typo (#1137)
* Sun Jun 22 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:2.7.10-0.fdr.4
- Fixed typo in rclock.desktop ( noticed by Michael Schwendt )
- Removed Merged from *.desktop ( also by Michael Schwendt )
* Sat Jun 21 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:2.7.10-0.fdr.3
- added missing documentation ( noticed by Adrian Reber )
* Sat Jun 21 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:2.7.10-0.fdr.2
- switched back to makeinstall
- added menu entry
- removed -n from setup

* Fri Jun 20 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
- Initial RPM release.
